<?php
/**
* @author PayPay, PAYPAYUE- Instituição de Pagamento, Unipessoal, Lda
* @package VirtueMart
* @subpackage payment
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
*
* http://virtuemart.org
*/

if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to '.basename(__FILE__).' is not allowed.');

class PaymentDetails
{
    /** @var String */
    public $code;

    /** @var Int */
    public $state;

    /** @var String */
    public $reference;

    /** @var Int */
    public $paymentState;

    /** @var Int */
    public $paymentStateId;

    /** @var Int */
    public $paymentBlocked;

    /** @var Int */
    public $paymentCancelled;

    /** @var String */
    public $paymentDate;

    /** @var String */
    public $paymentMode;

    /** @var String */
    public $message;


    public function __construct($params)
    {
        $fields = array('code',
                        'state',
                        'reference',
                        'paymentState',
                        'paymentStateId',
                        'paymentBlocked',
                        'paymentCancelled',
                        'paymentDate',
                        'paymentMode',
                        'message');
        foreach ($fields as $fkey => $fvalue) {
            if (isset($params[$fvalue]) && $params[$fvalue] != '') {
                $this->$fvalue = $params[$fvalue];
            }

        }
    }
}
