<?php
/**
* @author PayPay, PAYPAYUE- Instituição de Pagamento, Unipessoal, Lda
* @package VirtueMart
* @subpackage payment
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
*
* http://virtuemart.org
*/

if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to '.basename(__FILE__).' is not allowed.');

class ResponsePaymentReferenceError
{
    /** @var string */
    public $errorCode;

    /** @var string */
    public $errorMessage;

    /** @var string */
    public $referenceEntity;

    /** @var string */
    public $reference;

    public function __construct(
        $errorCode,
        $errorMessage,
        $referenceEntity,
        $reference
    ) {
        $this->referenceEntity = $referenceEntity;
        $this->reference       = $reference;
        $this->errorCode       = $errorCode;
        $this->errorMessage    = $errorMessage;
    }
}
